classification
Title: Update bundled pip and setuptools
Type: Stage: resolved
Components: Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Marcus.Smith, benjamin.peterson, dstufft, inada.naoki, koobs, lukasz.langa, miss-islington, ncoghlan, ned.deily, paul.moore, pradyunsg, rdb, steve.dower, xtreak
Priority: release blocker Keywords: patch

Created on 2019-07-23 21:51 by steve.dower, last changed 2019-10-08 01:54 by benjamin.peterson. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14934 merged pradyunsg, 2019-07-24 17:44
PR 14937 merged miss-islington, 2019-07-24 19:08
PR 14960 merged steve.dower, 2019-07-26 15:33
PR 14961 merged miss-islington, 2019-07-26 16:06
PR 14963 merged miss-islington, 2019-07-26 16:54
PR 14964 merged miss-islington, 2019-07-26 16:54
PR 15482 closed pradyunsg, 2019-08-25 04:49
PR 15483 merged pradyunsg, 2019-08-25 04:55
PR 15528 merged steve.dower, 2019-08-26 18:27
PR 15529 merged steve.dower, 2019-08-26 18:27
PR 16633 merged benjamin.peterson, 2019-10-08 01:42
Messages (29)
msg348356 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-07-23 21:51
Can we have a newer bundled version of pip for 3.8/3.9?

In particular, I'd really like to be able to use the new location for a pip.ini inside of sys.prefix, as it will fix the problems with "python3 -m pip" on Windows when obtained from the Store (and we want to default to --user).
msg348388 - (view) Author: Pradyun Gedam (pradyunsg) * Date: 2019-07-24 14:37
I might be doing another bugfix, for https://github.com/pypa/pip/issues/6775. I don't think we've decided how to go about that issue yet.

If a week isn't too long a waiting time, I'd suggest we wait for a week and then vendor whatever is the latest at that point.

I'll be happy to file a PR, if we want to go ahead with this. :)
msg348389 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-07-24 15:04
Oh that's a nasty issue... but it sounds like you're reaching some kind of agreement.

3.8b3 is scheduled for this week, so perhaps we can take the current release for now and then update it when you make the next release?

(Also Pradyun, would you like to be added to https://devguide.python.org/experts/ for pip so that you get nosied with that category? I'm happy to do that for you)
msg348392 - (view) Author: Pradyun Gedam (pradyunsg) * Date: 2019-07-24 17:44
Alrighty! Filed gh-14934.

(Sounds good to me. Filed a PR on devguide, adding me to the devguide: https://github.com/python/devguide/pull/513)
msg348403 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-07-24 19:08
New changeset 5380def8269b24a8a3bc46396373a1dc91b1dd1a by Steve Dower (Pradyun Gedam) in branch 'master':
bpo-37664: Update bundled pip to 19.2.1 and setuptools to 41.0.1 (GH-14934)
https://github.com/python/cpython/commit/5380def8269b24a8a3bc46396373a1dc91b1dd1a
msg348404 - (view) Author: miss-islington (miss-islington) Date: 2019-07-24 19:28
New changeset 0cdb21d6eb3428abe50a55f9291ca0e9728654d9 by Miss Islington (bot) in branch '3.8':
bpo-37664: Update bundled pip to 19.2.1 and setuptools to 41.0.1 (GH-14934)
https://github.com/python/cpython/commit/0cdb21d6eb3428abe50a55f9291ca0e9728654d9
msg348407 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-07-24 21:20
Leaving this open until 3.8b4 in case we want to take another update.
msg348433 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2019-07-25 10:09
This change seems to have buildbot failure on FreeBSD 10 for master and 3.8 branch. I have opened issue37679 . I couldn't find any issues similar to this during previous upgrades.


https://buildbot.python.org/all/#/builders/167/builds/1380


test_with_pip (test.test_venv.EnsurePipTest) ... FAIL
======================================================================
FAIL: test_with_pip (test.test_venv.EnsurePipTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10.nondebug/build/Lib/test/test_venv.py", line 495, in test_with_pip
    self.do_test_with_pip(False)
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10.nondebug/build/Lib/test/test_venv.py", line 478, in do_test_with_pip
    self.assertEqual(err.rstrip(), "")
AssertionError: "WARNING: The directory '/.cache/pip/http[202 chars]lag." != ''
- WARNING: The directory '/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
+ 
----------------------------------------------------------------------
msg348492 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-07-26 15:31
Actually, we're already ignoring this message, but now it includes "WARNING: " at the start and doesn't match the existing regex. So we can just continue to ignore it.
msg348499 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-07-26 16:06
New changeset b1eb20e68e30c8ab128f9d63d622f0a8b49dcf34 by Steve Dower in branch 'master':
bpo-37664: Update regex for ignoring cache warning on some buildbots (GH-14960)
https://github.com/python/cpython/commit/b1eb20e68e30c8ab128f9d63d622f0a8b49dcf34
msg348501 - (view) Author: miss-islington (miss-islington) Date: 2019-07-26 16:24
New changeset c5033901263d64a533ee47a84c6d286a223540c9 by Miss Islington (bot) in branch '3.8':
bpo-37664: Update regex for ignoring cache warning on some buildbots (GH-14960)
https://github.com/python/cpython/commit/c5033901263d64a533ee47a84c6d286a223540c9
msg348502 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-07-26 16:35
Hey Ned, would you like a bundled pip update for 3.7? We haven't gone that far back.
msg348508 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-07-26 16:50
Yeah, we should update 3.7, too, so people don’t keep getting the upgrade warning.
msg348509 - (view) Author: miss-islington (miss-islington) Date: 2019-07-26 17:13
New changeset 0225d58cc8b786caec12f45e9245f90497610a2d by Miss Islington (bot) in branch '3.7':
bpo-37664: Update regex for ignoring cache warning on some buildbots (GH-14960)
https://github.com/python/cpython/commit/0225d58cc8b786caec12f45e9245f90497610a2d
msg348510 - (view) Author: miss-islington (miss-islington) Date: 2019-07-26 17:19
New changeset ea0f7aa47c5d2e58dc99314508172f0523e144c6 by Miss Islington (bot) in branch '3.7':
bpo-37664: Update bundled pip to 19.2.1 and setuptools to 41.0.1 (GH-14934)
https://github.com/python/cpython/commit/ea0f7aa47c5d2e58dc99314508172f0523e144c6
msg349909 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-08-17 21:13
Is pip 19.2.2 worth taking? Or are we expecting another patch this week?
msg349918 - (view) Author: rdb (rdb) * Date: 2019-08-18 09:49
@steve.dower It will be necessary to update to pip 19.2.3 for Python 3.8.0b4 shortly, as per:
https://github.com/pypa/pip/pull/6874#issuecomment-522220364
msg349931 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-08-19 02:20
When updating pip next time, please update setuptools too.
https://setuptools.readthedocs.io/en/latest/history.html#v41-1-0

> #1788: Changed compatibility fallback logic for html.unescape to avoid accessing HTMLParser.unescape when not necessary. HTMLParser.unescape is deprecated and will be removed in Python 3.9.

This is blocking #37328.
msg349941 - (view) Author: Pradyun Gedam (pradyunsg) * Date: 2019-08-19 08:28
There wasn't a new setuptools release when I updated these the last time,
IIRC.

Anyway, I'll cut a new release for pip, file a new b.p.o. issue and get to
updating both of these sometime this week.

On Mon, 19 Aug 2019 at 11:20 AM, Inada Naoki <report@bugs.python.org> wrote:

>
> Inada Naoki <songofacandy@gmail.com> added the comment:
>
> When updating pip next time, please update setuptools too.
> https://setuptools.readthedocs.io/en/latest/history.html#v41-1-0
>
> > #1788: Changed compatibility fallback logic for html.unescape to avoid
> accessing HTMLParser.unescape when not necessary. HTMLParser.unescape is
> deprecated and will be removed in Python 3.9.
>
> This is blocking #37328.
>
> ----------
> nosy: +inada.naoki
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue37664>
> _______________________________________
>
msg350366 - (view) Author: Pradyun Gedam (pradyunsg) * Date: 2019-08-24 11:25
There's a need for a pip 19.2.3, since there's a bug in wheel tagging logic hasn't been updated for CPython 3.8's new tags. I'll be cutting that release, and filing a PR for updating bundled pip & setuptools, sometime in the next 24 hours. (I just got back from my final mid-semester exam, and really should relax for a bit)

I'm not sure whether we should mark this a release blocker.
msg350369 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2019-08-24 11:32
Added lukasz since last beta is by Monday.
msg350426 - (view) Author: Pradyun Gedam (pradyunsg) * Date: 2019-08-25 04:57
Made the release and the PR. <https://github.com/python/cpython/pull/15483>
msg350541 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-08-26 15:44
Just getting Łukasz's attention, as this pip release has a critical 3.8 fix for wheel generation (IIUC).

Pradyun - just looking for a NEWS file update in your PR to make sure we have the right version numbers listed.
msg350545 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2019-08-26 16:17
Thanks for looping me in. Waiting for this to be merged.
msg350556 - (view) Author: miss-islington (miss-islington) Date: 2019-08-26 18:19
New changeset 10c452b894d95fed06056fe11e8fe8e1a2a60040 by Miss Islington (bot) (Pradyun Gedam) in branch 'master':
bpo-37664: Update ensurepip bundled wheels, again (GH-15483)
https://github.com/python/cpython/commit/10c452b894d95fed06056fe11e8fe8e1a2a60040
msg350562 - (view) Author: miss-islington (miss-islington) Date: 2019-08-26 19:19
New changeset c1c1a3396391dcc948d332607a0f673e4434da97 by Miss Islington (bot) (Steve Dower) in branch '3.7':
[3.7] bpo-37664: Update ensurepip bundled wheels, again (GH-15483) (GH-15529)
https://github.com/python/cpython/commit/c1c1a3396391dcc948d332607a0f673e4434da97
msg350564 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-08-26 19:58
New changeset 04b750740be6e7c4a7693f1135c4788b40a028c1 by Steve Dower in branch '3.8':
bpo-37664: Update ensurepip bundled wheels, again (GH-15483)
https://github.com/python/cpython/commit/04b750740be6e7c4a7693f1135c4788b40a028c1
msg350565 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-08-26 20:01
Going to call this complete now. If there's a reason to take another update before 3.8 releases, we should create a new issue.
msg354158 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-10-08 01:54
New changeset e7e58fe03175adc660c192e724b91ae7ccba9cb6 by Benjamin Peterson in branch '2.7':
[2.7] bpo-37664: Update ensurepip bundled wheels, again (GH-16633)
https://github.com/python/cpython/commit/e7e58fe03175adc660c192e724b91ae7ccba9cb6
History
Date User Action Args
2019-10-08 01:54:08benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg354158
2019-10-08 01:42:35benjamin.petersonsetpull_requests: + pull_request16219
2019-08-26 20:01:25steve.dowersetstatus: open -> closed
resolution: fixed
messages: + msg350565

stage: patch review -> resolved
2019-08-26 19:58:06steve.dowersetmessages: + msg350564
2019-08-26 19:19:56miss-islingtonsetmessages: + msg350562
2019-08-26 18:27:42steve.dowersetpull_requests: + pull_request15211
2019-08-26 18:27:35steve.dowersetpull_requests: + pull_request15210
2019-08-26 18:19:33miss-islingtonsetmessages: + msg350556
2019-08-26 16:17:57lukasz.langasetmessages: + msg350545
2019-08-26 15:44:30steve.dowersetpriority: normal -> release blocker

messages: + msg350541
2019-08-25 04:57:15pradyunsgsetmessages: + msg350426
2019-08-25 04:55:55pradyunsgsetpull_requests: + pull_request15169
2019-08-25 04:49:21pradyunsgsetpull_requests: + pull_request15168
2019-08-24 11:32:25xtreaksetnosy: + lukasz.langa
messages: + msg350369
2019-08-24 11:25:57pradyunsgsetmessages: + msg350366
2019-08-19 08:28:15pradyunsgsetmessages: + msg349941
2019-08-19 02:20:34inada.naokisetnosy: + inada.naoki
messages: + msg349931
2019-08-18 09:49:56rdbsetnosy: + rdb
messages: + msg349918
2019-08-17 21:13:36steve.dowersetmessages: + msg349909
2019-07-27 14:16:45koobssetnosy: + koobs
2019-07-26 17:19:40miss-islingtonsetmessages: + msg348510
2019-07-26 17:13:38miss-islingtonsetmessages: + msg348509
2019-07-26 16:54:49miss-islingtonsetpull_requests: + pull_request14731
2019-07-26 16:54:20miss-islingtonsetpull_requests: + pull_request14730
2019-07-26 16:50:18ned.deilysetmessages: + msg348508
versions: + Python 3.7
2019-07-26 16:35:13steve.dowersetnosy: + ned.deily
messages: + msg348502
2019-07-26 16:24:46miss-islingtonsetmessages: + msg348501
2019-07-26 16:06:30miss-islingtonsetpull_requests: + pull_request14729
2019-07-26 16:06:29steve.dowersetmessages: + msg348499
2019-07-26 15:33:52steve.dowersetpull_requests: + pull_request14728
2019-07-26 15:31:28steve.dowersetmessages: + msg348492
2019-07-25 10:09:19xtreaksetnosy: + xtreak
messages: + msg348433
2019-07-24 21:20:47steve.dowersetmessages: + msg348407
2019-07-24 19:28:16miss-islingtonsetnosy: + miss-islington
messages: + msg348404
2019-07-24 19:08:18miss-islingtonsetpull_requests: + pull_request14710
2019-07-24 19:08:06steve.dowersetmessages: + msg348403
2019-07-24 17:44:45pradyunsgsetkeywords: + patch

stage: patch review
messages: + msg348392
pull_requests: + pull_request14707
2019-07-24 15:04:57steve.dowersetmessages: + msg348389
2019-07-24 14:37:54pradyunsgsetmessages: + msg348388
2019-07-24 12:42:34xtreaksetnosy: + pradyunsg
2019-07-23 21:51:27steve.dowercreate